Subject: Re: bug#61235: 30.0.50; tree-sit: `treesit-node-check' lacks a way to tell if a node belongs to a deleted parser

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Feb 2023 05:31:11 +0200

> From: Yuan Fu <[email-masked]>
> Date: Mon, 6 Feb 2023 19:00:30 -0800
> Cc: Mickey Petersen <[email-masked]>,
>  [email-masked]
> 
> > Yuan, any reason not to extend treesit-node-check instead?
> 
> I did extend treesit-node-check in the patch. But I also added a function treesit-parser-live-p, which makes the same check but directly on a parser. It just made sense to me that if we let treesit-node-check check the nodes’ parser’s status, we’d also add a function to allow directly checking the status of a parser.

That additional function would signal an error in the case discussed
here, so I'm not sure we should add it in that shape, or at all.  Why
isn't treesit-node-check enough?